﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/KeyValue:[S101]Clothing & Sports";
        $webObjectTree1->setFullPath($fullPath1);
    }

    $defaultPath = "/";
    $notSelected = "Not selected";
    $selections = [];
    if ($fullPath1 != $defaultPath)
    {
        $keyPath = Coalesys\WebObjectTree\WebObjectTree::extractKeys($fullPath1);
            $selections = explode("/", $keyPath);
    }

    $output = "Store = ";
    $output .= count($selections) > 1 ? $selections[1] : $notSelected;
    $output .= "<br />";
    $output .= "Department = ";
    $output .= count($selections) > 2 ? $selections[2] : $notSelected;
    $output .= "<br />";
    $output .= "Product = ";
    $output .= count($selections) > 3 ? $selections[3] : $notSelected;
    $output .= "<br />";
    $selection = $output;
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="../../Common/Products.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select product:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Children Key/Value Pairs:</div>
                    <div class="csContent">
                        This sample demonstrates the WebObjectTree children items support for key/value pairs.
                        This feature allows each entry in the tree to contain a unique key and display value.
                        The unique key is used to identify the item, and the display value is a friendly description for the end-user.<br />
                        <br />
                        To use children key/value pairs, a converter property needs to be added to the children item information.
                        For example:<br />
                        <br />
                        <div class="csCode">
                            { <span style="background-color:#ffffaa">Converter: <span style="color:#a00000">&quot;KeyValue&quot;</span></span>, Items: [<span style="color:#a00000">&quot;[S101]Clothing &amp; Sports&quot;</span>, <span style="color:#a00000">&quot;[S102]Home &amp; Electronics&quot;</span>], Children: <span style="color:#0000ff">true</span> }
                        </div>
                        <br />
                        This converter is used by WebObjectTree to parse each item in the following form:
                        &quot;[key]value&quot;, where the square brackets surround the key and the rest of the string contains the value.
                        This feature is especially useful for web applications that need to be localized.<br />
                        <br />
                        When using key/value pairs, the path strings passed to and from WebObjectTree contain both components.
                        For example:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#a00000">&quot;/KeyValue:[S101]Clothing &amp; Sports/KeyValue:[D102]Sports/KeyValue:[PS101]Baseball&quot;</span>
                        </div>
                        <br />
                        To simplify working with such paths, WebObjectTree implements both client and server-side methods, namely <i>extractKeys</i>, <i>extractValues</i> and <i>appendKeyValue</i>, for parsing and appending to these strings.<br />
                        <br />
                        Below is a lookup table for the available key/value pairs used in this sample:<br />
                        <br />
                        <div style="display:inline-block;border:1px solid #808080;">
                            <table cellpadding="1" cellspacing="1" style="font-family:monospace;font-size:13px;">
                                <tr style="background-color:#a0a0a0;color:white;">
                                    <td colspan="2" style="text-align:center;white-space:nowrap;">Stores</td>
                                    <td colspan="2" style="text-align:center;white-space:nowrap;">Departments</td>
                                    <td colspan="2" style="text-align:center;white-space:nowrap;">Products<br />(Clothing)</td>
                                    <td colspan="2" style="text-align:center;white-space:nowrap;">Products<br />(Sports)</td>
                                    <td colspan="2" style="text-align:center;white-space:nowrap;">Products<br />(Home)</td>
                                    <td colspan="2" style="text-align:center;white-space:nowrap;">Products<br />(Electronics)</td>
                                </tr>
                                <tr style="background-color:#b8b8b8;color:white;">
                                    <td style="text-align:center;white-space:nowrap;">Key</td>
                                    <td style="text-align:center;white-space:nowrap;">Value</td>
                                    <td style="text-align:center;white-space:nowrap;">Key</td>
                                    <td style="text-align:center;white-space:nowrap;">Value</td>
                                    <td style="text-align:center;white-space:nowrap;">Key</td>
                                    <td style="text-align:center;white-space:nowrap;">Value</td>
                                    <td style="text-align:center;white-space:nowrap;">Key</td>
                                    <td style="text-align:center;white-space:nowrap;">Value</td>
                                    <td style="text-align:center;white-space:nowrap;">Key</td>
                                    <td style="text-align:center;white-space:nowrap;">Value</td>
                                    <td style="text-align:center;white-space:nowrap;">Key</td>
                                    <td style="text-align:center;white-space:nowrap;">Value</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td style="white-space:nowrap;">&nbsp;S101</td>
                                    <td style="white-space:nowrap;">Clothing &amp; Sports</td>
                                    <td style="white-space:nowrap;">&nbsp;D101</td>
                                    <td style="white-space:nowrap;">Clothing</td>
                                    <td style="white-space:nowrap;">&nbsp;PC101</td>
                                    <td style="white-space:nowrap;">Gloves</td>
                                    <td style="white-space:nowrap;">&nbsp;PS101</td>
                                    <td style="white-space:nowrap;">Baseball</td>
                                    <td style="white-space:nowrap;">&nbsp;PH101</td>
                                    <td style="white-space:nowrap;">Cabinet</td>
                                    <td style="white-space:nowrap;">&nbsp;PE101</td>
                                    <td style="white-space:nowrap;">Camcorder</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td style="white-space:nowrap;">&nbsp;S102</td>
                                    <td style="white-space:nowrap;">Home &amp; Electronics</td>
                                    <td style="white-space:nowrap;">&nbsp;D102</td>
                                    <td style="white-space:nowrap;">Sports</td>
                                    <td style="white-space:nowrap;">&nbsp;PC102</td>
                                    <td style="white-space:nowrap;">Hat</td>
                                    <td style="white-space:nowrap;">&nbsp;PS102</td>
                                    <td style="white-space:nowrap;">Basketball</td>
                                    <td style="white-space:nowrap;">&nbsp;PH102</td>
                                    <td style="white-space:nowrap;">Chair</td>
                                    <td style="white-space:nowrap;">&nbsp;PE102</td>
                                    <td style="white-space:nowrap;">Camera</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;D103</td>
                                    <td style="white-space:nowrap;">Home</td>
                                    <td style="white-space:nowrap;">&nbsp;PC103</td>
                                    <td style="white-space:nowrap;">Jacket</td>
                                    <td style="white-space:nowrap;">&nbsp;PS103</td>
                                    <td style="white-space:nowrap;">Bicycle</td>
                                    <td style="white-space:nowrap;">&nbsp;PH103</td>
                                    <td style="white-space:nowrap;">Desk</td>
                                    <td style="white-space:nowrap;">&nbsp;PE103</td>
                                    <td style="white-space:nowrap;">Cell phone</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;D104</td>
                                    <td style="white-space:nowrap;">Electronics</td>
                                    <td style="white-space:nowrap;">&nbsp;PC104</td>
                                    <td style="white-space:nowrap;">Pants</td>
                                    <td style="white-space:nowrap;">&nbsp;PS104</td>
                                    <td style="white-space:nowrap;">Football</td>
                                    <td style="white-space:nowrap;">&nbsp;PH104</td>
                                    <td style="white-space:nowrap;">Lamp</td>
                                    <td style="white-space:nowrap;">&nbsp;PE104</td>
                                    <td style="white-space:nowrap;">Ear buds</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;PC105</td>
                                    <td style="white-space:nowrap;">Shirt</td>
                                    <td style="white-space:nowrap;">&nbsp;PS105</td>
                                    <td style="white-space:nowrap;">Golf clubs</td>
                                    <td style="white-space:nowrap;">&nbsp;PH105</td>
                                    <td style="white-space:nowrap;">Picture</td>
                                    <td style="white-space:nowrap;">&nbsp;PE105</td>
                                    <td style="white-space:nowrap;">Laptop</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;PC106</td>
                                    <td style="white-space:nowrap;">Shoes</td>
                                    <td style="white-space:nowrap;">&nbsp;PS106</td>
                                    <td style="white-space:nowrap;">Helmet</td>
                                    <td style="white-space:nowrap;">&nbsp;PH106</td>
                                    <td style="white-space:nowrap;">Plant</td>
                                    <td style="white-space:nowrap;">&nbsp;PE106</td>
                                    <td style="white-space:nowrap;">MP3 player</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;PC107</td>
                                    <td style="white-space:nowrap;">Shorts</td>
                                    <td style="white-space:nowrap;">&nbsp;PS107</td>
                                    <td style="white-space:nowrap;">Ice skates</td>
                                    <td style="white-space:nowrap;">&nbsp;PH107</td>
                                    <td style="white-space:nowrap;">Rug</td>
                                    <td style="white-space:nowrap;">&nbsp;PE107</td>
                                    <td style="white-space:nowrap;">Tablet</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;PC108</td>
                                    <td style="white-space:nowrap;">Socks</td>
                                    <td style="white-space:nowrap;">&nbsp;PS108</td>
                                    <td style="white-space:nowrap;">Skateboard</td>
                                    <td style="white-space:nowrap;">&nbsp;PH108</td>
                                    <td style="white-space:nowrap;">Sofa</td>
                                    <td style="white-space:nowrap;">&nbsp;PE108</td>
                                    <td style="white-space:nowrap;">Television</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;</td>
                                    <td style="white-space:nowrap;"></td>
                                    <td style="white-space:nowrap;">&nbsp;PC109</td>
                                    <td style="white-space:nowrap;">Sweater</td>
                                    <td style="white-space:nowrap;">&nbsp;PS109</td>
                                    <td style="white-space:nowrap;">Sneakers</td>
                                    <td style="white-space:nowrap;">&nbsp;PH109</td>
                                    <td style="white-space:nowrap;">Table</td>
                                    <td style="white-space:nowrap;">&nbsp;PE109</td>
                                    <td style="white-space:nowrap;">Watch</td>
                                </tr>
                            </table>
                        </div><br />
                        <br />
                        Pressing the &quot;Submit&quot; button simulates saving of your selection by writing the results below:
                        <div class="csIndent">
                            <div class="csData"><?php echo $selection ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ChildrenKeyValuePairs
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
