﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/android/view/AbsSavedState";
        $webObjectTree1->setFullPath($fullPath1);
    }

    $classPath = substr($fullPath1, 1);
    $classPath = str_replace("/", ".", $classPath);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="../../Common/Classes.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csVControl {width:340px;}
        .csVDocument {margin-left:340px;}
    </style>
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Class hierarchy for the android.widget package:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Jagged Hierarchies:</div>
                    <div class="csContent">
                        WebObjectTree supports the ability to navigate jagged hierarchies where the depth of each tree path can be different.<br />
                        <br />
                        The children items for a symmetric, non-jagged hierarchy can be described as follows:<br />
                        <br />
                        <div class="csCode">
                            { Items: [<span style="color:#a00000">&quot;ItemA&quot;</span>, <span style="color:#a00000">&quot;ItemB&quot;</span>, <span style="color:#a00000">&quot;ItemC&quot;</span>], Children: <span style="color:#0000ff">true</span> }
                        </div>
                        <br />
                        This creates a branch with three items.
                        When any of these items are expanded, a new branch is made available for selecting their children items.<br />
                        <br />
                        This occurs because of the inclusion of the optional &quot;Children&quot; property.
                        If this property was not present or set to <i>false</i>, all these items would be terminal nodes.<br />
                        <br />
                        The children items for a jagged hierarchy can be described as follows:<br />
                        <br />
                        <div class="csCode">
                            { Items: [<span style="color:#a00000">&quot;ItemA&quot;</span>, <span style="background-color:#ffffaa">{ Item: <span style="color:#a00000">&quot;ItemB&quot;</span>, Children: <span style="color:#0000ff">true</span> }</span>, <span style="color:#a00000">&quot;ItemC&quot;</span>] }
                        </div>
                        <br />
                        This also creates a branch with three items.
                        However, they are different because only the middle item can have children items!<br />
                        <br />
                        This occurs because the string array element is replaced with a new object that contains the required properties.
                        The &quot;Item&quot; property specifies the name of the item, and the &quot;Children&quot; property set to <i>true</i> indicates that it has children.
                        The first and last items are terminal nodes.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to browse the class hierarchy for the android.widget package.
                        Like most class hierarchies, this is a jagged hierarchy.<br />
                        <br />
                        Clicking the &quot;Submit&quot; button will send the class path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo htmlentities($classPath) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/JaggedHierarchies
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
