﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Project X/Software Developers/Bernard Woodbury";
        $webObjectTree1->setFullPath($fullPath1);
    }

    $webObjectTree2 = CreateWebObjectTree("WebObjectTree2");

    $fullPath2 = $webObjectTree2->getFullPath();
    if ($fullPath2 == "")
    {
        $fullPath2 = "/Project Y/Test Engineers/Stephanie Dodd";
        $webObjectTree2->setFullPath($fullPath2);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="../../Common/Employees.js" type="text/javascript"></script>
    <script src="./Script.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .cwotItemText {border:1px solid transparent;}
        .cwotSelectedItemText {border-color:#909090;}
        .csButtons {padding-top:25px;padding-bottom:15px;text-align:center;}
    </style>
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        First employee:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csButtons">
                        <input type="image" src="./images/up.png" onclick="return SwapFullPath(targetId2, targetId1);" style="border-color:white;border-width:1px;border-style:outset;" />
                        &nbsp;&nbsp;
                        <input type="image" src="./images/down.png" onclick="return SwapFullPath(targetId1, targetId2);" style="border-color:white;border-width:1px;border-style:outset;" />
                    </div>
                    <div>
                        Second employee:<br />
                        <?php echo $webObjectTree2->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Path Getting/Setting:</div>
                    <div class="csContent">
                        This sample demonstrates how you can programmatically get and set the full path in WebObjectTree.
                        This allows you to modify the value using your own custom JavaScript logic.<br />
                        <br />
                        To support this feature and the ability to set keyboard focus, WebObjectTree exposes the following client-side methods:<br />
                        <br />
                        1. This method returns the current full path selected.<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotGetFullPath(controlId)
                        </div>
                        <ul>
                            <li><i>controlId</i> - the control identifier of the WebObjectTree instance.</li>
                        </ul>
                        2. This method updates the current full path selected.<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotSetFullPath(controlId, fullPath)
                        </div>
                        <ul>
                            <li><i>controlId</i> - the control identifier of the WebObjectTree instance.</li>
                            <li><i>fullPath</i> - the current full path selected in the WebObjectTree control.</li>
                        </ul>
                        3. This method sets the keyboard focus to the control.<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotSetFocus(controlId, beginEdit)
                        </div>
                        <ul>
                            <li><i>controlId</i> - the control identifier of the WebObjectTree instance.</li>
                            <li><i>beginEdit</i> - a boolean value whether to begin an item edit operation.</li>
                        </ul>
                        In this sample, clicking the &quot;Up&quot; or &quot;Down&quot; arrows transfers the full path of a WebObjectTree and keyboard focus to the other instance.
                        These changes are made inside the web browser using client-side code that invokes all these methods.<br />
                        <br />
                        Clicking the &quot;Submit&quot; button will send the full paths to the server and they will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                            <div class="csData"><?php echo ($fullPath2 == "") ? "No path selected." : htmlentities($fullPath2) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /ClientSideFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/PathGettingSetting
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
