﻿var targetId = "WebObjectTree1";

var widgetClasses =
{
    "/": { Items: ["android"], Children: true },
    "/android": { Items: ["database", "graphics", "view", "widget"], Children: true },
    "/android/database": { Items: ["DataSetObserver"] },
    "/android/graphics": { Items: ["drawable"], Children: true },
    "/android/graphics/drawable": { Items: ["Drawable"] },
    "/android/view": { Items: ["AbsSavedState", "SurfaceView", { Item: "View", Children: true }, { Item: "ViewGroup", Children: true }] },
    "/android/view/View": { Items: ["BaseSavedState"] },
    "/android/view/ViewGroup": { Items: ["LayoutParams", "MarginLayoutParams"] },
    "/android/widget": { Items: [{ Item: "AbsListView", Children: true }, { Item: "AbsoluteLayout", Children: true }, "AbsSeekBar", { Item: "AbsSpinner", Children: true }, { Item: "AdapterView", Children: true }, "AdapterView<T>", "AlphabetIndexer", "AnalogClock", "AppSecurityPermissions", "ArrayAdapter<T>", "AutoCompleteTextView", "BaseAdapter", "BaseExpandableListAdapter", "Button", "CheckBox", "CheckedTextView", "Chronometer", { Item: "CompoundButton", Children: true }, "CursorAdapter", "CursorFilter", { Item: "CursorTreeAdapter", Children: true }, "DatePicker", "DialerFilter", "DigitalClock", "DoubleDigitManager", "EditText", { Item: "ExpandableListConnector", Children: true }, "ExpandableListPosition", { Item: "ExpandableListView", Children: true }, { Item: "FastScroller", Children: true }, { Item: "Filter", Children: true }, { Item: "FrameLayout", Children: true }, { Item: "Gallery", Children: true }, "GridView", "HeaderViewListAdapter", "ImageButton", "ImageSwitcher", "ImageView", { Item: "LinearLayout", Children: true }, { Item: "ListView", Children: true }, "MediaController", { Item: "MultiAutoCompleteTextView", Children: true }, "PopupWindow", { Item: "ProgressBar", Children: true }, "RadioButton", { Item: "RadioGroup", Children: true }, "RatingBar", { Item: "RelativeLayout", Children: true }, { Item: "RemoteViews", Children: true }, "ResourceCursorAdapter", "ResourceCursorTreeAdapter", "ScrollBarDrawable", "Scroller", "ScrollView", "SeekBar", "SimpleAdapter", "SimpleCursorAdapter", "SimpleCursorTreeAdapter", "SimpleExpandableListAdapter", "Spinner", { Item: "TabHost", Children: true }, { Item: "TableLayout", Children: true }, { Item: "TableRow", Children: true }, "TabWidget", "TextSwitcher", { Item: "TextView", Children: true }, "TimePicker", "Toast", "ToggleButton", "TwoLineListItem", "VideoView", "ViewAnimator", "ViewFlipper", "ViewSwitcher", "ZoomButton", "ZoomControls"] },
    "/android/widget/AbsListView": { Items: ["CheckForTap", "LayoutParams", "RecycleBin", "SavedState"] },
    "/android/widget/AbsoluteLayout": { Items: ["LayoutParams"] },
    "/android/widget/AbsSpinner": { Items: ["RecycleBin", "SavedState"] },
    "/android/widget/AdapterView": { Items: ["AdapterContextMenuInfo", "AdapterDataSetObserver"] },
    "/android/widget/CompoundButton": { Items: ["SavedState"] },
    "/android/widget/CursorTreeAdapter": { Items: ["MyCursorHelper"] },
    "/android/widget/ExpandableListConnector": { Items: ["GroupMetadata", "MyDataSetObserver", "PositionMetadata"] },
    "/android/widget/ExpandableListView": { Items: ["ExpandableListContextMenuInfo", "SavedState"] },
    "/android/widget/FastScroller": { Items: ["ScrollFade", "SavedState"] },
    "/android/widget/Filter": { Items: ["FilterResults"] },
    "/android/widget/FrameLayout": { Items: ["LayoutParams"] },
    "/android/widget/Gallery": { Items: ["LayoutParams"] },
    "/android/widget/LinearLayout": { Items: ["LayoutParams"] },
    "/android/widget/ListView": { Items: ["FixedViewInfo", "SavedState"] },
    "/android/widget/MultiAutoCompleteTextView": { Items: ["CommaTokenizer"] },
    "/android/widget/ProgressBar": { Items: ["SavedState"] },
    "/android/widget/RadioGroup": { Items: ["LayoutParams"] },
    "/android/widget/RelativeLayout": { Items: ["LayoutParams"] },
    "/android/widget/RemoteViews": { Items: ["ActionException"] },
    "/android/widget/TabHost": { Items: ["TabSpec"] },
    "/android/widget/TableLayout": { Items: ["LayoutParams"] },
    "/android/widget/TableRow": { Items: ["LayoutParams"] },
    "/android/widget/TextView": { Items: ["Drawables", "InputContentType", "InputMethodState", "SavedState"] }
};

// Retrieves data requested by the webobjecttree control
function cwotOnBeginRequest(controlId, requestPath)
{
    var responseData = null;

    if (controlId == targetId)
    {
        if (requestPath == "/")
        {
            // return root items immediately
            responseData = widgetClasses[requestPath];
        }
        else
        {
            // simulate loading delay
            setTimeout(function ()
            {
                responseData = widgetClasses[requestPath];
                cwotProcessResponse(controlId, responseData);
            },
            250);
        }
    }

    return responseData;
}
