﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Americas";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="./jquery-1.11.1.min.js" type="text/javascript"></script>
    <script src="./Custom.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading" style="background-color:#459b52;">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select Server:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Custom Ajax:</div>
                    <div class="csContent">
                        This sample demonstrates how you can use your own custom Ajax code to populate the WebObjectTree children items.
                        This is useful if you need to alter the built-in Ajax logic to match the requirements of your web applications.<br />
                        <br />
                        In this sample the JavaScript callback method &quot;cwotOnBeginRequest&quot; is use to make an asynchronous call to our demo web service to fetch the data.
                        The &quot;jQuery.ajax&quot; method is used to simplify the call.<br />
                        <br />
                        If successful, the WebObjectTree method &quot;cwotProcessResponse&quot; is called to process the returned data.<br />
                        <br />
                        If unsuccessful, an error message is displayed to the user.
                        Note that in this case the &quot;cwotProcessResponse&quot; method is also called to complete the request and hide the loading elements.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select a datacenter server, organized by region, location and role.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /DataRetrieval<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/CustomAjax
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
