﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Americas";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading" style="background-color:#439c9c;">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select Server:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Item Objects:</div>
                    <div class="csContent">
                        This sample demonstrates how you can use the server-side items collection to populate the WebObjectTree children items.<br />
                        <br />
                        To use this feature, you can call the following WebObjectTree server-side methods:<br />
                        <br />
                        <div class="csCode">
                            $cwdotItem1 = $webObjectTree1->addItem(<span style="color:#a00000">&quot;Level 1&quot;</span>);<br />
                            $cwdotItem2 = $cwotItem1->addItem(<span style="color:#a00000">&quot;Level 2&quot;</span>);<br />
                            $cwdotItem3 = $cwotItem2->addItem(<span style="color:#a00000">&quot;Level 3&quot;</span>);
                        </div>
                        <br />
                        The items collection form a hierarchy, and these calls populate the first three levels with a single item object.<br />
                        <br />
                        This technique of populating the WebObjectTree children items is only recommended for small trees, since it requires the entire data set to be transmitted for every page load.
                        For larger trees, it is recommended to use any of the other data retrieval methods, since they only fetch the sub-set of data required to render the immediate children when its parent is expanded.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select a datacenter server, organized by region, location and role.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /DataRetrieval<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/ItemObjects
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
