﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $parameter1 = null;
    if (isset($_REQUEST["DropDownList1"]))
    {
        $parameter1 = $_REQUEST["DropDownList1"];
    }
    $showIndentImages = ($parameter1 == null || $parameter1 == "true") ? true : false;
    $webObjectTree1->setShowIndentImages($showIndentImages);

    $parameter2 = null;
    if (isset($_REQUEST["DropDownList2"]))
    {
        $parameter2 = $_REQUEST["DropDownList2"];
    }
    $showItemExpanders = ($parameter2 == null || $parameter2 == "true") ? true : false;
    $webObjectTree1->setShowItemExpanders($showItemExpanders);

    $parameter3 = null;
    if (isset($_REQUEST["DropDownList3"]))
    {
        $parameter3 = $_REQUEST["DropDownList3"];
    }
    $showItemIcons = ($parameter3 == null || $parameter3 == "true") ? true : false;
    $webObjectTree1->setShowItemIcons($showItemIcons);

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Vegetables/Spinach/Garlic Spinach";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="../../Common/Foods.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Display Options:</div>
                    <div class="csContent">
                        This sample demonstrates the different display options available for the WebObjectTree elements.<br />
                        <br />
                        The following properties control the visibility of the indent images, item expanders and item icons, respectively.
                        Setting them to custom values and clicking the &quot;Apply&quot; button will change the values on the server and re-render the results (no other changes are performed).<br />
                        <br />
                        <div class="csCode">
                            $WebObjectTree-&gt;setShowIndentImages(<select id="DropDownList1" name="DropDownList1">
                                <option <?php echo $showIndentImages ? "selected=\"selected\" " : " " ?>value="true">true</option>
                                <option <?php echo $showIndentImages ? " " : "selected=\"selected\" " ?>value="false">false</option>
                            </select>);<br />
                            <br />
                            $WebObjectTree-&gt;setShowItemExpanders(<select id="DropDownList2" name="DropDownList2">
                                <option <?php echo $showItemExpanders ? "selected=\"selected\" " : " " ?>value="true">true</option>
                                <option <?php echo $showItemExpanders ? " " : "selected=\"selected\" " ?>value="false">false</option>
                            </select>);<br />
                            <br />
                            $WebObjectTree-&gt;setShowItemIcons(<select id="DropDownList3" name="DropDownList3">
                                <option <?php echo $showItemIcons ? "selected=\"selected\" " : " " ?>value="true">true</option>
                                <option <?php echo $showItemIcons ? " " : "selected=\"selected\" " ?>value="false">false</option>
                            </select>);<br />
                            <br />
                            <input id="Button2" type="submit" value="Apply" />
                        </div>
                        <br />
                        It should be noted that when the item expanders are not shown, the parent items can still be expanded and collapsed by double-clicking on them.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select some food, organized by food group and item.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection and restore the properties above to their default values.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Presentation<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/DisplayOptions
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
