<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP</title>
    <link href="./Samples/Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csBody {background-color:#ffffff;}
    </style>
</head>
<body class="csBody">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csContent">
            <div class="csTitle">Documentation Index:</div>
            <div>You must accept the terms and conditions of the End-User License Agreement before using the software.</div>
            <ul>
                <li><a href="./Readme.txt" target="_blank">WebObjectTree Readme File</a></li>
                <li><a href="./Help/index.htm" target="_blank">WebObjectTree Help System</a></li>
                <li><a href="./License.htm" target="_blank">End-User License Agreement</a></li>
                <li><a href="http://www.coalesys.com/downloads/checkupgrade/cwotp1l120" target="_blank">Check for Updates</a></li>
            </ul>
            <div class="csTitle">Samples Index:</div>
            <div>Demonstrates the basic and advanced features of the WebObjectTree control.</div>
            <ul>
                <li>Appearance:
                    <ul>
                        <li><a href="./Samples/Appearance/StandardAppearance/index.php" target="_blank">Standard Appearance</a></li>
                        <li><a href="./Samples/Appearance/CustomizedAppearance/index.php" target="_blank">Customized Appearance</a></li>
                        <li><a href="./Samples/Appearance/StyleSheetReplacement/index.php" target="_blank">StyleSheet Replacement</a></li>
                        <li><a href="./Samples/Appearance/MultipleColors/index.php" target="_blank">Multiple Colors</a></li>
                        <li><a href="./Samples/Appearance/ModernDesign/index.php" target="_blank">Modern Design</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Basic Features:
                    <ul>
                        <li><a href="./Samples/BasicFeatures/LoadFromWots/index.php" target="_blank">Load from WOTS</a></li>
                        <li><a href="./Samples/BasicFeatures/JaggedHierarchies/index.php" target="_blank">Jagged Hierarchies</a></li>
                        <li><a href="./Samples/BasicFeatures/ChildrenKeyValuePairs/index.php" target="_blank">Children Key/Value Pairs</a></li>
                        <li><a href="./Samples/BasicFeatures/KeyboardInterface/index.php" target="_blank">Keyboard Interface</a></li>
                        <li><a href="./Samples/BasicFeatures/RetentionPeriod/index.php" target="_blank">Retention Period</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Client-Side Features:
                    <ul>
                        <li><a href="./Samples/ClientSideFeatures/SelectionChange/index.php" target="_blank">Selection Change</a></li>
                        <li><a href="./Samples/ClientSideFeatures/PathGettingSetting/index.php" target="_blank">Path Getting/Setting</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Data Retrieval:
                    <ul>
                        <li><a href="./Samples/DataRetrieval/ItemObjects/index.php" target="_blank">Item Objects</a></li>
                        <li><a href="./Samples/DataRetrieval/ControlDataProperty/index.php" target="_blank">ControlData Property</a></li>
                        <li><a href="./Samples/DataRetrieval/JavaScriptCallback/index.php" target="_blank">JavaScript Callback</a></li>
                        <li><a href="./Samples/DataRetrieval/BuiltinAjax/index.php" target="_blank">Built-in Ajax</a></li>
                        <li><a href="./Samples/DataRetrieval/CustomAjax/index.php" target="_blank">Custom Ajax</a></li>
                    </ul>
                </li>
            </ul>
            <ul>
                <li>Presentation:
                    <ul>
                        <li><a href="./Samples/Presentation/AddModifyDelete/index.php" target="_blank">Add, Modify and Delete</a></li>
                        <li><a href="./Samples/Presentation/DisplayOptions/index.php" target="_blank">Display Options</a></li>
                        <li><a href="./Samples/Presentation/CustomStyles/index.php" target="_blank">Custom Styles</a></li>
                    </ul>
                </li>
            </ul>
            <div class="csCopyright">Copyright &copy; 2000-2020 Coalesys, Inc.</div>
        </div>
    </div>
</body>
</html>
